/////////////////////////////////////////////////////////////////////////////
//
// 15BPP "THROUGH" video encoder module
//
// Version : 1.00
//
// Copyright(c) 2004 Tatsuyuki Satoh , All rights reserved
//
// License:
//   This source is under the GPL license.
//
// Histry:
//   2004. 7.21 1st Release
//
/////////////////////////////////////////////////////////////////////////////

module venc_rgb(
  pclk,dclk,vclk,hs_in,vs_in,
  pal_ai,pal_eni,
  pal_ao,pal_eno,
  r_in , g_in , b_in,
  r_out,r_tri,g_out,g_tri,b_out,b_tri,
  hs_out,hs_tri,vs_out,vs_tri
);
// input signals
input pclk;             // 6.144MHz  input pixel clock
input dclk;             // 12.288Mhz output pixel clock
input vclk;		// VIDEO pixel clock (not used)
input hs_in;            // HSYNC input (16KHz)
input vs_in;            // VSYNC input (60Hz)

// PrePalette Conversion
input [4:0] pal_ai;
input pal_eni;
output [4:0] pal_ao;
output pal_eno;

// Post Palette Encode
input [4:0] r_in , g_in , b_in;
output [4:0] r_out,g_out,b_out; // R,G,B output level
output [4:0] r_tri,g_tri,b_tri; // R,G,B tristate control
output hs_out;          // HSYNC output
output hs_tri;          // HSYNC tristate control
output vs_out;          // VSYNC output
output vs_tri;          // VSYNC tristate control

//---------------------------------------------------------------------------
// output
//---------------------------------------------------------------------------

assign pal_ao = pal_ai;
assign pal_eno = pal_eni;

assign r_tri = { 5'b00000 };
assign r_out = { r_in };
assign g_tri = { 5'b00000 };
assign g_out = { g_in };
assign b_tri = { 5'b00000 };
assign b_out = { b_in };

// converted SYNC signal
assign vs_tri = 1'b0;
assign vs_out = ~vs_in;
assign hs_tri = 1'b0;
assign hs_out = ~hs_in;

endmodule
