/////////////////////////////////////////////////////////////////////////////
//
// Digital PLL subclock generator
//
// Version : 1.00
//
// Copyright(c) 2004 Tatsuyuki Satoh , All rights reserved
//
// License:
//   This source is under the GPL license.
//
// Histry:
//   2004. 7.21 1st Release
//
/////////////////////////////////////////////////////////////////////////////

module sub_clk(CLK18M432,CLK1M78975);

input CLK18M432;
output CLK1M78975;

/////////////////////////////////////////////////////////////////////////////

// 18.432MNz * 3/31 = 1.7837MHz jitter 54ns(10%)
reg [4:0] pris31;
reg clk_r;

always @(posedge CLK18M432)
begin
  // count up
  pris31 = pris31==30 ? 0 : pris31+1;
  if(pris31==0 || pris31==10 || pris31==20)
    clk_r <= 1'b1;
  if(pris31==5 || pris31==15 || pris31==25)
    clk_r <= 1'b0;
end

assign CLK1M78975 = clk_r;

endmodule
