/////////////////////////////////////////////////////////////////////////////
//
// timepilot option switch header file
//
// Version : 0.90
//
// Copyright(c) 2004 Tatsuyuki Satoh , All rights reserved
//
// License:
//   This source is under the GPL license.
//
// Histry:
//   2004. 7.23 1 1st Release
//
/////////////////////////////////////////////////////////////////////////////

//---------------------------------------------------------------------------
// timeslcale
//---------------------------------------------------------------------------
`timescale 1 ns / 100 ps

//---------------------------------------------------------------------------
// Device Dependent
//---------------------------------------------------------------------------

//-----------------------------------
// I/O pin / grobal clock primitive
//-----------------------------------
`define SPARTAN2_IO // Xilinx SpartanII , SpartanIIE
//`define CYCLONE_IO // Altera Cyclone

//---------------------------------------------------------------------------
// fpga_tpx.v
//---------------------------------------------------------------------------

//-----------------------------------
// SUB board module select
//-----------------------------------
`define SUB_MODULE tp_sub    // sub board
//`define SUB_MODULE tp_sub_d  // dummy(no-sound)

//-----------------------------------
// PROM MSB bit(size)
//-----------------------------------
`define ROM_MSB  18 // 4MBit

//-----------------------------------
// PROM area select
//-----------------------------------
`define ROM_BANK 3'b000 // 00000-0ffff
//`define ROM_BANK 3'b001   // 10000-1ffff 29EE020
//`define ROM_BANK 3'b101   // 10000-1ffff MX27C1000

//-----------------------------------
// Video Encoder select
//-----------------------------------
//`define VENC_MODULE venc_rgb  // 15bpp 16KHz RGB
`define VENC_MODULE venc_vga  // 15bpp VGA
//`define VENC_MODULE venc_ntsc // NTSC
//`define VENC_MODULE venc_hdtv // HDTV

//-----------------------------------
// Sound Encoder select
//-----------------------------------
`define SENC_MODULE senc_sd   // SigmaDelta Analog
//`define SENC_MODULE senc_spd  // SPDIF Digital
//`define SENC_MODULE senc_dmy  // dummy(no-sound)

//-----------------------------------
// HID module select
//-----------------------------------
//`define HID_MODULE hid_sw    // direct switch
`define HID_MODULE hid_pspd   // PSX PAD
//`define HID_MODULE hid_jmem  // bscan jtag memory I/F

//-----------------------------------
// Intermal Memory Module
//-----------------------------------
`define IMEM_MODULE imem_gen // Generic RAM
//`define IMEM_MODULE imem_xc2 // Xilinx SpartanII , SpartanIIE
//`define IMEM_MODULE imem_cyc // Altera Cyclone

//---------------------------------------------------------------------------
// tp_main.v
//---------------------------------------------------------------------------

//-----------------------------------
// Main CPU Z80 module
//-----------------------------------
//`define MCPU_MODULE T80as     // T80 full spec
`define MCPU_MODULE T80as_nb_ni_np_nm // T80 customize edition
//`define MCPU_MODULE z80_jmem  // debug from JTAG
//`define MCPU_MODULE z80_dmy   // dummy

//---------------------------------------------------------------------------
// tp_sub.v
//---------------------------------------------------------------------------

//-----------------------------------
// Sub CPU Z80 module
//-----------------------------------
//`define SCPU_MODULE T80as       // T80 full spec
`define SCPU_MODULE T80as_nb_nn // T80 customize edition
//`define SCPU_MODULE z80_jmem    // debug from JTAG
//`define SCPU_MODULE z80_dmy     // dummy

///////////////////////////////////////////////////////////////////////////
// DIP Switch (fpga_tpx.v)
///////////////////////////////////////////////////////////////////////////

//--------------------
// DSW1[7:4] COINA
//--------------------
//`define DSW_COINA 4'h0 // FreePlay
//`define DSW_COINA 4'h1 // 4Coin 3Credit
//`define DSW_COINA 4'h2 // 4Coin 1Crecit
//`define DSW_COINA 4'h3 // 3Coin 4Credit
//`define DSW_COINA 4'h4 // 3Coin 2Credit
//`define DSW_COINA 4'h5 // 3Coin 1Credit
//`define DSW_COINA 4'h6 // 2Coin 5Credit
//`define DSW_COINA 4'h7 // 2Coin 3Credit
//`define DSW_COINA 4'h8 // 2Coin 1Credit
//`define DSW_COINA 4'h9 // 1Coin 7Credit
//`define DSW_COINA 4'ha // 1Coin 6Credit
//`define DSW_COINA 4'hb // 1Coin 5Credit
//`define DSW_COINA 4'hc // 1Coin 4Credit
//`define DSW_COINA 4'hd // 1Coin 3Credit
//`define DSW_COINA 4'he // 1Coin 2Credit
`define DSW_COINA 4'hf // 1Coin 1Credit

//--------------------
// DSW1[3:0] COINB
//--------------------
//`define DSW_COINB 4'h0 // FreePlay
//`define DSW_COINB 4'h1 // 4Coin 3Credit
//`define DSW_COINB 4'h2 // 4Coin 1Crecit
//`define DSW_COINB 4'h3 // 3Coin 4Credit
//`define DSW_COINB 4'h4 // 3Coin 2Credit
//`define DSW_COINB 4'h5 // 3Coin 1Credit
//`define DSW_COINB 4'h6 // 2Coin 5Credit
//`define DSW_COINB 4'h7 // 2Coin 3Credit
//`define DSW_COINB 4'h8 // 2Coin 1Credit
//`define DSW_COINB 4'h9 // 1Coin 7Credit
//`define DSW_COINB 4'ha // 1Coin 6Credit
//`define DSW_COINB 4'hb // 1Coin 5Credit
//`define DSW_COINB 4'hc // 1Coin 4Credit
//`define DSW_COINB 4'hd // 1Coin 3Credit
//`define DSW_COINB 4'he // 1Coin 2Credit
`define DSW_COINB 4'hf // 1Coin 1Credit

//--------------------
// DSW2[7] : sound enale in attract mode
//--------------------
`define DSW_ASND 1'b0 // attract sound ON
//`define DSW_ASND 1'b1 // attract sound OFF

//--------------------
// DSW2[6:4] : difficulty
//--------------------
//`define DSW_DIFF 3'h0 // hardest
//`define DSW_DIFF 3'h1 // 1
//`define DSW_DIFF 3'h2 // 2
//`define DSW_DIFF 3'h3 // 3
//`define DSW_DIFF 3'h4 // normal
//`define DSW_DIFF 3'h5 // 5
//`define DSW_DIFF 3'h6 // 6
`define DSW_DIFF 3'h7 // easiest

//--------------------
// DSW2[3] : bonus
//--------------------
//`define DSW_BONUS 1'b0 // 20000 / 60000 
`define DSW_BONUS 1'b1 // 10000 / 50000 

//--------------------
// DSW2[2] : 
//--------------------
//`define DSW_BODY 1'b0 // upright
`define DSW_BODY 1'b1 // cooktail

//--------------------
// DSW2[1:0] : lives
//--------------------
//`define DSW_LIVES 2'h0 // 255
//`define DSW_LIVES 2'h1 //   5
//`define DSW_LIVES 2'h2 //   4
`define DSW_LIVES 2'h3 //   3

//--------------------
`define DSW1_SET {`DSW_COINA,`DSW_COINB}
`define DSW2_SET {`DSW_ASND,`DSW_DIFF,`DSW_BONUS,`DSW_BODY,`DSW_LIVES}
//--------------------

//---------------------------------------------------------------------------
