/////////////////////////////////////////////////////////////////////////////
//
// TilePilot IRQ handler
//
// Version : 1.00
//
// Copyright(c) 2004 Tatsuyuki Satoh , All rights reserved
//
// 1. License
//
// This program is freeware for non-commercial use. 
// The user of this source must assume all legal 
// responsibility in the use of this program. 
// It isn't suitable to put this source on GPL. 
//
// 2. Guarantee 
//
// An author does no guarantee about this program.
// You can use this under your own risk. 
// 
// 3. A rule to distribute.
//   Do either 1) or 2).
//   1)Include a perfect original source include this document.
//   2)Include all these headers , and add document of 
//     modification points
//
// Histry:
//   2004. 7.21 1st Release
//
/////////////////////////////////////////////////////////////////////////////
module tp_irq(vwindow,wr,di,irq_n);

input vwindow;
input wr;
input [7:0] di;
output irq_n;

/////////////////////////////////////////////////////////////////////////////
reg irq_en;

reg irq_r;
always @(negedge wr)
begin
  irq_en <= di[7:0]!=0;
end

always @(negedge vwindow or negedge irq_en)
begin
  if(~irq_en)
    irq_r <= 1'b1;
  else
    irq_r <= 1'b0;
end

assign irq_n = irq_r;

endmodule
