/////////////////////////////////////////////////////////////////////////////
//
// FPGA TimePilot SubBoard Dummy Module
//
// Version : 1.00
//
// Copyright(c) 2004 Tatsuyuki Satoh , All rights reserved
//
// 1. License
//
// This program is freeware for non-commercial use. 
// The user of this source must assume all legal 
// responsibility in the use of this program. 
// It isn't suitable to put this source on GPL. 
//
// 2. Guarantee 
//
// An author does no guarantee about this program.
// You can use this under your own risk. 
// 
// 3. A rule to distribute.
//   Do either 1) or 2).
//   1)Include a perfect original source include this document.
//   2)Include all these headers , and add document of 
//     modification points
//
// Histry:
//   2004. 8.10 Bug Fix Altera Quartus2 v4.0sp1 (by K.Degawa)
//   2004. 7.21 1st Release
//
/////////////////////////////////////////////////////////////////////////////

module tp_sub_d(
  rst_n,
  clk17m8, // 18.432M * 3 / 31
// I/O I/F
  snd_di,
  snd_cmd_w,
  snd_irq_w,
// ROM/RAM
  mem_a,
  rom_di, rom_oe,
  ram_cs, ram_we, ram_di, ram_do,
// sound I/F
  snd_out
);

input rst_n;
input clk17m8;

input [7:0] snd_di;
input snd_cmd_w;
input snd_irq_w;

output [12:0] mem_a;
output rom_oe;
input [7:0] rom_di;
output ram_cs;
output ram_we;
output [7:0] ram_do;
input [7:0] ram_di;

output [9:0] snd_out;

/////////////////////////////////////////////////////////////////////////////
// Z80 SUB CPU
/////////////////////////////////////////////////////////////////////////////

assign rom_oe = 1'b0;
assign snd_out = 0;
assign ram_cs = 1'b0;
assign ram_we = 1'b0;
assign ram_do = ram_di;

endmodule
